System.Core 4.0.0.0 System.Linq.Expressions.Expression System.Diagnostics.DebuggerTypeProxy(typeof(System.Linq.Expressions.Expression/BlockExpressionProxy))

The methods can be used to create a .

Represents a block that contains a sequence of expressions where variables can be defined.

- Method
  4.0.0.0
  System.Linq.Expressions.Expression ``

  This default implementation for nodes calls . Override this method to call into a more specific method on a derived visitor class of the class. However, it should still support unknown visitors by calling .

  Dispatches to the specific visit method for this node type. For example, calls the .

  The result of visiting this node.

  The visitor to visit this node with.
- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.Linq.Expressions.Expression> To be added. To be added.

  Gets the expressions in this block.

- Property
  4.0.0.0
  System.Linq.Expressions.ExpressionType To be added. To be added.

  Returns the node type of this expression. Extension nodes should return when overriding this method.

- Property
  4.0.0.0
  System.Linq.Expressions.Expression To be added. To be added.

  Gets the last expression in this block.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the static type of the expression that this represents.

- Method
  4.0.0.0
  System.Linq.Expressions.BlockExpression `` `` To be added.

  Creates a new expression that is like this one, but using the supplied children. If all of the children are the same, it will return this expression.

  This expression if no children changed, or an expression with the updated children.

  The property of the result. The property of the result.
- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.Linq.Expressions.ParameterExpression> To be added. To be added.

  Gets the variables defined in this block.